/* 
   DB Hub - A Linux/Unix version of the Direct Connect hub

   Logging Facility Implementation

   Copyright (C) DarKRaveR 2007
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * @file langvars.c
 *
 * @brief Language Variable Definitions.
 *
 * This file holds the definitions to the language variables declared in langvars.h. Makes use of
 * C initializers. All language variables will be filled by default (when there's no NLS Support)
 * and we don't need set_default_lang() from lang.c, when compiling without NLS. We can now safely
 * compile lang.c conditionally when NLS is enabled.
 */

#include "langvars.h"

char lp_accepted_[51] = "accepted";
char lp_accountupdated[101] = "Account updated successfully";
char lp_active_[51] = "Active";
char lp_added_[51] = "added";
char lp_addedentryto[51] = "Added entry to";
char lp_admins_[51] = "admins";
char lp_after[51] = "after";
char lp_ago_[51] = "ago";
char lp_allowed_[51] = "allowed";
char lp_allowedatmost[51] = "Allowed at most";
char lp_allowedclients[51] = "Allowed clients are";
char lp_alltime[51] = "Alltime hub records";
char lp_autoawaymodeoff[51] = "Auto-Away mode OFF";
char lp_autoawaymodeon[51] = "Auto-Away mode ON";
char lp_autoawaynotset[101] = "Autoaway was not set. Minimum autoaway time is 15 minutes";
char lp_autoawayremoved[101] = "Your autoaway has been removed";
char lp_autoawayset[101] = "Your autoaway has been set. Time of inactivity to enable";
char lp_availablecommands[101] = "Available commands for your class";
char lp_avgdataperuser[51] = "Average data per user";
char lp_awayfor[51] = "Away for";
char lp_awaymodeoff[51] = "Away mode OFF";
char lp_awaymodeon[51] = "Away mode ON";
char lp_badpass[101] = "has provided bad password";
char lp_badsyntax[101] = "Bad syntax. Correct one is";
char lp_ban_[51] = "BAN";
char lp_bannedby[51] = "Banned by";
char lp_banning_[51] = "Banning";
char lp_banreason[51] = "BAN REASON";
char lp_banworddetected[51] = "Banword detected from user";
char lp_because[51] = "because";
char lp_blocked_[51] = "blocked";
char lp_bots_[51] = "bots";
char lp_bytes[51] = "bytes";
char lp_cannotbeblank[101] = "cannot be blank or have space(s)";
char lp_canonlypmtoops[101] = "You can only send private messages to ops!";
char lp_categletter_[51] = "category 1st letter"; 
char lp_categlist[101] = "List of allowed categories";
char lp_categnotfound[101] = "was not found in categories. Choose one of these";
char lp_category_[51] = "category";
char lp_charnumbers[101] = "Required number of characters for that command is";
char lp_chatting_[51] = "chatting";
char lp_cheefs_[51] = "cheefs";
char lp_class1[51] = "REGULAR";
char lp_class2[51] = "PROTECTED";
char lp_class3[51] = "REG";
char lp_class4[51] = "VIP";
char lp_class5[51] = "KVIP";
char lp_class6[51] = "OP";
char lp_class7[51] = "CHEEF";
char lp_class8[51] = "ADMIN";
char lp_class9[51] = "OWNER";
char lp_client_[51] = "Client";
char lp_commandscalled[51] = "Hub commands called";
char lp_connectedsince[51] = "Connected since";
char lp_connectedusers[51] = "Connected users";
char lp_connection[51] = "Connection";
char lp_couldntaddentry[51] = "Couldn't add entry to";
char lp_couldntremoveentry[51] = "Couldn't remove entry from";
char lp_currentdate[51] = "Current date is";
char lp_cut_[51] = "cut";
char lp_datashared[51] = "Data shared";
char lp_days[51] = "days";
char lp_delcommand[101] = "Removed file-command";
char lp_deletedby[101] = "deleted by";
char lp_deletedmsg[101] = "All stored messages left for you were deleted";
char lp_deleteduser[101] = "Deleted account";
char lp_denied_[51] = "denied";
char lp_deniedconnections[51] = "Denied connections";
char lp_description[51] = "Description";
char lp_desctoolong[101] = "description too long";
char lp_detectedfrom[51] = "detected from";
char lp_downloading_[51] = "downloading";
char lp_downloadoff[101] = "Downloading was disabled on this hub";
char lp_downloadon[101] = "Downloading was unblocked";
char lp_downloads[51] = "Downloads";
char lp_email[51] = "E-mail";
char lp_entryalreadyonlist[51] = "Entry is already on the";
char lp_entrywasntfound[51] = "Entry wasn't found in";
char lp_erasemsgs[101] = "Type !delmsg to erase all messages";
char lp_expires_[51] = "expires";
char lp_expiresin[51] = "expires in";
char lp_fakeshare[51] = "Fake share";
char lp_faketag[51] = "Fake TAG description";
char lp_favsend[101] = "Fav message was send to all unregistered users";
char lp_file_[51] = "file";
char lp_flooding[51] = "flooding";
char lp_floodwarn[101] = "FLOOD... Do not write to the main chat in next 20 seconds...";
char lp_forbchar[101] = "nickname started with forbidden character";
char lp_forbiddenclient[51] = "forbidden client";
char lp_fornext[51] = "for next";
char lp_forother[101] = "for other releases from category";
char lp_freeslots[101] = "Active users with free slots";
char lp_from_[51] = "from";
char lp_fulfilment[51] = "Fulfilment";
char lp_gaggedfrom[51] = "Gagged from";
char lp_gaggingall[101] = "Gagging all users except admins!";
char lp_gagminshare[101] = "You will be gagged from searching and downloading until you share enough data";
char lp_givingtempop[51] = "Giving temporary OP to user";
char lp_hasparted[51] = "has parted";
char lp_haveregistertochat[101] = "You have to register to be able to speak to the main chat and send private messages";
char lp_hi_[51] = "Hi";
char lp_hidingpresence[101] = "Hiding your presence...";
char lp_hidingshare[101] = "Hiding your share...";
char lp_hours[51] = "hours";
char lp_hubaddr[51] = "Hub address";
char lp_hubdesc[51] = "Hub description";
char lp_hubforregistered[201] = "This hub is intented for registered users only. To get full access contact with ops/admins";
char lp_hubinfo[51] = "Information about hub";
char lp_hubkilled[101] = "Hub was killed by";
char lp_hubmassmsg[51] = "HUB MASS MESSAGE"; 
char lp_hubname[51] = "Hub name";
char lp_hubs_[51] = "Hubs";
char lp_hubsperslot[51] = "hubs per one slot maximally";
char lp_ipban_[51] = "IP ban";
char lp_ipbans[51] = "IP bans";
char lp_is_[51] = "is";
char lp_isalreadyopped[51] = "is already opped";
char lp_isaway[51] = "is away";
char lp_isback[51] = "is back from away";
char lp_isbanning[51] = "is banning";
char lp_iskicking[51] = "is kicking";
char lp_isoffline[51] = "is currently offline";
char lp_isonlinenow[101] = "is currently online";
char lp_itemstotal[51] = "items total";
char lp_joins[51] = "JOINS";
char lp_kick_[51] = "KICK";
char lp_kickdeny[101] = "You cannot kick that user";
char lp_kickedby[51] = "Kicked by";
char lp_kvips_[51] = "kvips";
char lp_lackofprefix[101] = "lack of required nickname prefix";
char lp_lackoftag[51] = "Lack of TAG description";
char lp_langpackfound[101] = "Language pack found and loaded...";
char lp_lastmainmsgs[51] = "last main chat messages";
char lp_lastpermbans[51] = "last permanent bans";
char lp_lastsearch[51] = "Last sending a search string";
char lp_lastsendpm[51] = "Last sending of private message";
char lp_lasttempbans[51] = "last temporary bans";
char lp_lastwritetomain[51] = "Last write to main chat";
char lp_listofgagged[101] = "List of gagged users";
char lp_loggedin[51] = "logged in";
char lp_longestconnected[101] = "longest connected users";
char lp_mailtoolong[101] = "e-mail address too long";
char lp_mainchatlocked[51] = "Main chat locked";
char lp_mainchatmsgs[51] = "Main chat messages";
char lp_mainchatoff[101] = "Main chat was disabled on this hub";
char lp_mainchaton[101] = "Main chat was unblocked";
char lp_masssend[101] = "Massmessage was send to all";
char lp_maxhubs[51] = "Maxhubs";
char lp_maxshare[101] = "Maximum share";
char lp_maxslots[51] = "Maxslots";
char lp_maxusers[51] = "Max users";
char lp_message_[51] = "message";
char lp_minactshare[101] = "Minimum share for active REGULAR users";
char lp_mindcppver[51] = "Minimum DC++ version";
char lp_minkvipshare[101] = "Minimum share for KVIP users";
char lp_minopshare[101] = "Minimum share for OP users";
char lp_minpsvshare[101] = "Minimum share for passive REGULAR users";
char lp_minregshare[101] = "Minimum share for REG users";
char lp_minshare[101] = "Minimum share";
char lp_minslots[51] = "Minslots";
char lp_minvipshare[101] = "Minimum share for VIP users";
char lp_minutes[51] = "minutes";
char lp_mode_[51] = "Mode";
char lp_msgforyou[101] = "Messages left for you";
char lp_musthavedot[101] = "Partial IP address should contain at least one dot";
char lp_name_[51] = "name";
char lp_never_[51] = "never";
char lp_newcommand[101] = "New file-command added";
char lp_newregistered[101] = "New registered user";
char lp_nextwarningban[101] = "next warning will make you banned!";
char lp_nick_[51] = "nickname";
char lp_nickban_[51] = "nickban";
char lp_nickbans[51] = "nickbans";
char lp_nickchar[101] = "nickname contains unallowed character(s)";
char lp_nickinuse[101] = "nickname already in use";
char lp_nickname[51] = "Nickname";
char lp_nicktooshort[101] = "nickname too short";
char lp_nomsgtodelete[101] = "No messages to delete";
char lp_nonewlines[101] = "Using newlines is not allowed";
char lp_nonewmsg[101] = "There are no new messages left for you";
char lp_nopass[101] = "tried to login to registered account without password";
char lp_nopermission[101] = "Operation not permitted";
char lp_normal_[51] = "normal";
char lp_nosuchfile[51] = "No such file";
char lp_nosuchvariable[51] = "No such variable";
char lp_notallowedtoadd[101] = "You are not allowed to add new";
char lp_notallowedtochat[101] = "You are not allowed to chat at this time";
char lp_notallowedtodelreg[101] = "You are not allowed to remove this user";
char lp_notallowedtosee[101] = "You are not allowed to see";
char lp_notenoughslots[101] = "not enough slots";
char lp_nowarnings[101] = "No warnings for user";
char lp_number_[51] = "number";
char lp_opped_[51] = "opped";
char lp_ops_[51] = "ops";
char lp_owners_[51] = "owners";
char lp_pass_[51] = "password";
char lp_passchanged[51] = "Your password was changed";
char lp_passive_[51] = "Passive";
char lp_passwordincorrect[101] = "That password was incorrect!";
char lp_passwordrequired[101] = "Password required for that account!";
char lp_permanent_[51] = "permanent";
char lp_permanently[51] = "permanently";
char lp_permbans[51] = "perm bans";
char lp_pmmsgs[51] = "Private messages";
char lp_pmon[101] = "Private messaging was unblocked";
char lp_pmoff[101] = "Private messaging was disabled on this hub";
char lp_presencealreadyhidden[101] = "Your presence is already hidden...";
char lp_presencehidden[101] = "Your presence is hidden, you have to use !unhideme command first...";
char lp_protectmepass[101] = "Type +protectme 'password' to get temporary protection to this hub.";
char lp_prots_[51] = "protected";
char lp_prottime[51] = "Protection time";
char lp_prottype[51] = "Protection type";
char lp_proxy_[51] = "Passive proxy";
char lp_proxynotallowed[51] = "proxy connections not allowed";
char lp_psvnotallowed[51] = "passive mode not allowed";
char lp_psvwithmodea[101] = "nickname with psv, but mode M:A";
char lp_psvwithoutpsvinnick[101] = "passive mode requires 'psv' in nick";
char lp_quits[51] = "QUITS";
char lp_rawadm[51] = "Administration";
char lp_rawop[51] = "Security";
char lp_rawuser[51] = "User";
char lp_reason[51] = "reason";
char lp_recentlyadded[51] = "The recently added";
char lp_recordresetted[51] = "Share and users records has been resetted";
char lp_recordshare[101] = "Alltime hub share record was broken";
char lp_recordusers[101] = "Alltime hub users record was broken";
char lp_redir_[51] = "REDIRECT";
char lp_redirectingall[101] = "Redirecting all users to"; 
char lp_registered_[51] = "registered";
char lp_registeredby[101] = "registered by";
char lp_registrationfailed[101] = "Registration failed! Password has to be ONE word!";
char lp_registrationrules[51] = "Registration rules";
char lp_regmepass[101] = "Type +regme 'password' to register to this hub.";
char lp_regonly[51] = "reg only";
char lp_regs_[51] = "regs";
char lp_regular_[51] = "regular";
char lp_releases[51] = "releases";
char lp_reloadingscripts[51] = "Reloading scripts...";
char lp_removedallwarns[101] = "Removed all warnings for user";
char lp_removedentryfrom[51] = "Removed entry from";
char lp_reportedby[51] = "Reported by";
char lp_reportsend[51] = "Your report was send to the ops";
char lp_requests[51] = "requests";
char lp_requiredatleast[101] = "Required at least";
char lp_restrictions1[201] = "Due to restrictions you are able to download files and filelist ONLY from users from your class or lower! Unable to connect to";
char lp_restrictions2[201] = "Due to restrictions you are able to download files and filelist ONLY from other UNREGISTERED users! Register to get the full access to this hub! Unable to connect to";
char lp_savedmsg[101] = "Successfully saved your message to";
char lp_searches[51] = "Searches";
char lp_searchforip[101] = "Searching for users using IP";
char lp_searchignored[101] = "Search ignored due to search spam. Wait at least";
char lp_searching_[51] = "searching";
char lp_searchoff[101] = "Searching was disabled on this hub";
char lp_searchon[101] = "Searching was unblocked";
char lp_searchresults[101] = "Search results for";
char lp_searchspam[51] = "Searchspam time";
char lp_searchtooshort[101] = "Your search string is too short. Minimum search characters is";
char lp_seconds[51] = "seconds";
char lp_selfregistrationdisabled[101] = "Self-registration is disabled. Type +regme for registration rules";
char lp_setby[51] = "set by";
char lp_setto[51] = "set to";
char lp_share_[51] = "of shared data";
char lp_sharesize[51] = "Sharesize";
char lp_shouldbechecked[101] = "should be checked because of";
char lp_since[51] = "since";
char lp_slotbegging[101] = "slotbegging";
char lp_slotratio[51] = "Slotratio";
char lp_slots_[51] = "Slots";
char lp_slotsperhub[101] = "slots per hub minimally";
char lp_spacesinnick[101] = "spaces in nickname";
char lp_spamming[51] = "spamming";
char lp_statistics[51] = "statistics";
char lp_tag_[51] = "TAG";
char lp_tempbans[51] = "temp bans";
char lp_tempkickban[51] = "Temporary ban after kick";
char lp_temporary_[51] = "temporary";
char lp_text_[51] = "text";
char lp_thesameip[101] = "Too many connection from one IP";
char lp_time_[51] = "time";
char lp_timetounban[51] = "Time to unban";
char lp_toohighratio[101] = "hubs/slot ratio too high";
char lp_toolowratio[101] = "slots/hub ratio too low";
char lp_toomanyhubs[101] = "too many opened hubs";
char lp_toomanyslots[101] = "too many open slots";
char lp_toomanywarnings[101] = "too many warnings";
char lp_tooolddcppver[101] = "Too old DC++ version";
char lp_topicchangedby[51] = "Topic was changed by";
char lp_topicis[51] = "Topic is";
char lp_topicnotset[51] = "Topic is not set";
char lp_topicunsetby[51] = "Topic was unset by";
char lp_toreleaselist[201] = "to the list of releases. Type !getrls for the complete list of latest releases";
char lp_toreqlist[201] = "to the list of requests. Type !getreq for the complete list of latest requests";
char lp_total_[51] = "TOTAL";
char lp_totalvisitors[51] = "Total visitors";
char lp_type_[51] = "type";
char lp_typehelp[101] = "Type +help to see all available commands for you.";
char lp_typeregme[101] = "Type +regme to see registration rules.";
char lp_typerules[101] = "Type +rules to see hub rules. ";
char lp_unfinishedfiles[101] = "unfinished files in share";
char lp_ungaggingall[101] = "Ungagging all users";
char lp_ungagminshare[101] = "Required amount of data shared. Now you can search and download";
char lp_unhidingpresence[101] = "Unhiding your share and presence...";
char lp_unhidingshare[101] = "Unhiding your share...";
char lp_uploadlimittoolow[51] = "upload limit too low";
char lp_uptime[51] = "Current hub uptime:";
char lp_user_[51] = "user";
char lp_userinfo[51] = "Information about user";
char lp_users[51] = "users";
char lp_usertype[51] = "User type";
char lp_value[51] = "value";
char lp_variable[51] = "variable";
char lp_version[51] = "Version";
char lp_vips_[51] = "vips";
char lp_warning_[51] = "warning";
char lp_wasaddedto[51] = "was added to";
char lp_wasbannedby[51] = "was banned by";
char lp_wascleared[51] = "was cleared";
char lp_wasdropped[51] = "was dropped from";
char lp_wasgaggedby[51] = "was gagged by";
char lp_wasgaggedfrom[101] = "was gagged from";
char lp_waskickedby[51] = "was kicked by";
char lp_wasregistered[101] = "was successfully registered as the";
char lp_wasreloaded[101] = "was reloaded to memory";
char lp_wasungagged[101] = "was ungagged";
char lp_waswarnedby[51] = "was warned by"; 
char lp_weeks[51] = "weeks";
char lp_welcometo[51] = "welcome to the";
char lp_whohubswarn[101] = "You can search for users connected to at least 3 hubs";
char lp_withpass[101] = "with password";
char lp_youcanwarnonly[101] = "You can warn only users with lower class than your class";
char lp_youraccountwillexpire[101] = "Your account will expire in";
char lp_youripis[51] = "Your IP is";
char lp_yourpasswordis[51] = "Your current password is";
char lp_yourwarnings[51] = "Your warnings";
char lp_youshare[51] = "You share";
char lp_youwerebanned[101] = "You were banned from the hub";
char lp_youweregagged[101] = "You were gagged from";
char lp_youwerekicked[101] = "You were kicked from the hub";
char lp_youwereregistered[101] = "You were registered as the";
char lp_youweretempoppedby[101] = "You were temporary opped by";
char lp_youwerewarned[101] = "You were warned";

/* UserCommands */
char lp_us001[51] = "Help";
char lp_us002[51] = "Hub rules";
char lp_us003[51] = "Registration rules";
char lp_us004[51] = "Protect me";
char lp_us005[51] = "Reg me";
char lp_us006[51] = "MOTD";
char lp_us007[51] = "IRC /me";
char lp_us008[51] = "Your IP";
char lp_us009[51] = "Your info";
char lp_us010[51] = "Hub info";
char lp_us011[51] = "Report user";
char lp_us012[51] = "Search user";
char lp_us013[51] = "Last 20 messages";
char lp_us014[51] = "Free slots";
char lp_us015[51] = "Away ON";
char lp_us016[51] = "Away OFF";
char lp_us017[51] = "Set Auto-Away";
char lp_us018[51] = "Remove Auto-Away";
char lp_us019[51] = "Date";
char lp_us020[51] = "Longest 10 connected";
char lp_us021[51] = "Records";
char lp_us022[51] = "Uptime";
char lp_us023[51] = "Get URL list";
char lp_us024[51] = "Add release";
char lp_us025[51] = "Get releases list";
char lp_us026[51] = "Get releases list with type";
char lp_us027[51] = "Find release";
char lp_us028[51] = "Request file";
char lp_us029[51] = "Get req list";
char lp_us030[51] = "Leave message for someone";
char lp_us031[51] = "Read messages to you";
char lp_us032[51] = "Erase messages to you";
char lp_us033[51] = "Userinfo";
char lp_us034[51] = "Kick user";
char lp_us035[51] = "Your password";
char lp_us036[51] = "Change your password";
char lp_us037[51] = "Add temporary PROTECTED user";
char lp_us038[51] = "Add permanent PROTECTED user";
char lp_us039[51] = "Add REG user";
char lp_us040[51] = "Add VIP user";
char lp_us041[51] = "Add KVIP user";
char lp_us042[51] = "Warn user";
char lp_us043[51] = "Perm ban user";
char lp_us044[51] = "Perm ban IP";
char lp_us045[51] = "Perm ban nick";
char lp_us046[51] = "Get banlist";
char lp_us048[51] = "Remove IP ban";
char lp_us049[51] = "Remove nickban";
char lp_us050[51] = "Last 20 perm bans";
char lp_us051[51] = "Last 20 temp bans";
char lp_us052[51] = "Allow";
char lp_us053[51] = "Get allowlist";
char lp_us054[51] = "Unallow";
char lp_us055[51] = "Gag user";
char lp_us056[51] = "Gag IP";
char lp_us057[51] = "Get gaglist";
char lp_us058[51] = "Gagged IPs list";
char lp_us059[51] = "Ungag user";
char lp_us060[51] = "Ungag IP";
char lp_us063[51] = "IP history";
char lp_us064[51] = "Who IP";
char lp_us065[51] = "Who hubs";
char lp_us066[51] = "Who slots";
char lp_us067[51] = "Who ratio";
char lp_us068[51] = "Send favmessage";
char lp_us069[51] = "Send massmessage to REGULAR users";
char lp_us070[51] = "Send massmessage to PROTECTED users";
char lp_us071[51] = "Send massmessage to REG users";
char lp_us072[51] = "Send massmessage to VIP users";
char lp_us073[51] = "Send massmessage to KVIP users";
char lp_us074[51] = "Send massmessage to OP users";
char lp_us075[51] = "Send massmessage to CHEEF users";
char lp_us076[51] = "Send massmessage to ADMIN users";
char lp_us077[51] = "Send massmessage to all";
char lp_us078[51] = "Set topic";
char lp_us079[51] = "Unset topic";
char lp_us080[51] = "Hide your share";
char lp_us081[51] = "Unhide your share";
char lp_us082[51] = "Hide your presence";
char lp_us083[51] = "Unhide your presence";
char lp_us084[51] = "Get config";
char lp_us085[51] = "Set variable";
char lp_us086[51] = "Get langfile";
char lp_us087[51] = "Set lang variable";
char lp_us088[51] = "Get reglist";
char lp_us089[51] = "Reload scripts";
char lp_us090[51] = "Reload lang";
char lp_us091[51] = "Reset lang to English";
char lp_us092[51] = "Add OP user";
char lp_us093[51] = "Add CHEEF user";
char lp_us094[51] = "Add ADMIN user";
char lp_us095[51] = "Add OWNER user";
char lp_us096[51] = "Delete registered user";
char lp_us097[51] = "Give OP";
char lp_us098[51] = "Say as bot";
char lp_us099[51] = "Say as someone";
char lp_us100[51] = "Block download";
char lp_us101[51] = "Block main";
char lp_us102[51] = "Block pm";
char lp_us103[51] = "Block search";
char lp_us104[51] = "Unblock download";
char lp_us105[51] = "Unblock main";
char lp_us106[51] = "Unblock pm";
char lp_us107[51] = "Unblock search";
char lp_us108[51] = "Redirect all";
char lp_us109[51] = "Gag all";
char lp_us110[51] = "Ungag all";
char lp_us111[51] = "Add release category";
char lp_us112[51] = "Get categories list";
char lp_us113[51] = "Remove release category";
char lp_us114[51] = "Remove release";
char lp_us115[51] = "Remove request";
char lp_us116[51] = "Remove URL";
char lp_us117[51] = "Remove warn";
char lp_us118[51] = "Add welcome";
char lp_us119[51] = "Get randomwelcomes";
char lp_us120[51] = "Remove welcome";
char lp_us122[51] = "Kill hub";
char lp_us123[51] = "Users with warnings";
char lp_us124[51] = "Create new command-file";
char lp_us125[51] = "Remove command-file";
char lp_us126[51] = "Remove all IP bans";
char lp_us127[51] = "Remove all nick bans";
char lp_us128[51] = "Temp ban user";
char lp_us129[51] = "Temp ban IP";
char lp_us130[51] = "Temp ban nick";
char lp_us131[51] = "Disconnect user";
char lp_us132[51] = "Reload file to memory";
char lp_us133[51] = "Change reg class";
char lp_us134[51] = "Change reg nick";
char lp_us135[51] = "Reset records";

/* !help commands' descriptions */

char lp_he001[101] = "this command";
char lp_he002[101] = "displays hub rules";
char lp_he003[101] = "displays hub registration rules";
char lp_he004[101] = "registers yourself as the PROTECTED user";
char lp_he005[101] = "registers yourself as the REG user";
char lp_he006[101] = "displays the motd file";
char lp_he007[101] = "IRC-like /me command (sometimes called 'action')";
char lp_he008[101] = "shows your IP";
char lp_he009[101] = "shows some information about you";
char lp_he010[101] = "shows some hub settings";
char lp_he011[101] = "reports online users who is breaking the rules to the ops and admins";
char lp_he012[101] = "looks for selected user in 'last seen' database";
char lp_he013[101] = "shows last 20 main chat messages";
char lp_he014[101] = "shows users in active mode with free slots";
char lp_he015[101] = "toggles away mode on with 'reason'";
char lp_he016[101] = "toggles away mode off";
char lp_he017[101] = "toggles auto-away mode on with 'reason' every 'time_in_minutes' of inactivity";
char lp_he018[101] = "removes your auto-away";
char lp_he019[101] = "shows current (server) date";
char lp_he020[101] = "shows 10 longest connected users";
char lp_he021[101] = "displays the alltime share/users hub records";
char lp_he022[101] = "shows hub uptime";
char lp_he023[101] = "displays the list of grabbed URLs";
char lp_he024[101] = "adds release to releases list";
char lp_he025[101] = "displays the list of recently added releases";
char lp_he026[101] = "displays the list of recently added 'category' releases";
char lp_he027[101] = "looks for release";
char lp_he028[101] = "adds req to reqests list";
char lp_he029[101] = "displays the list of recently added requests";
char lp_he030[101] = "leaves message to offline user";
char lp_he031[101] = "shows messages written to you";
char lp_he032[101] = "erases messages written to you";
char lp_he033[101] = "shows information about the selected user";
char lp_he034[101] = "kicks user from hub";
char lp_he035[101] = "shows your password";
char lp_he036[101] = "changes your password";
char lp_he037[101] = "adds permanent PROTECTED user to reglist";
char lp_he038[101] = "adds temporary PROTECTED user to reglist";
char lp_he039[101] = "adds REG user to reglist";
char lp_he040[101] = "adds VIP user to reglist";
char lp_he041[101] = "adds KVIP user to reglist";
char lp_he042[101] = "sends warning to specified user";
char lp_he043[101] = "bans permanently user's IP and nickname";
char lp_he044[101] = "bans permanently IP";
char lp_he045[101] = "bans permanently nickname";
char lp_he046[101] = "displays the banlist file";
char lp_he048[101] = "removes an entry from the banlist file";
char lp_he049[101] = "removes an entry from the nickbanlist file";
char lp_he050[101] = "shows 20 last permanent bans";
char lp_he051[101] = "shows 20 last temporary bans";
char lp_he052[101] = "adds an entry to the allowlist";
char lp_he053[101] = "displays the allowlist file";
char lp_he054[101] = "removes an entry from the allowlist file";
char lp_he055[101] = "gags user, available gag types: chat, search, download (if left blank: all of these)";
char lp_he056[101] = "gags permanently selected 'ip' from chatting";
char lp_he057[101] = "shows all gagged users";
char lp_he058[101] = "displays the list of gagged IPs";
char lp_he059[101] = "removes the gag from a user";
char lp_he060[101] = "removes an entry from the ipgag file";
char lp_he063[101] = "history of connections from specified IP";
char lp_he064[101] = "displays users connected from specified IP";
char lp_he065[101] = "displays users connected to at least a specified number of hubs";
char lp_he066[101] = "displays users who opened specified number of slots";
char lp_he067[101] = "displays users with equal or higher hubs per slot ratio";
char lp_he068[101] = "sends fav-message to all unregistered users";
char lp_he069[101] = "sends a private message to all logged in REGULAR users";
char lp_he070[101] = "sends a private message to all logged in PROTECTED users";
char lp_he071[101] = "sends a private message to all logged in REG users";
char lp_he072[101] = "sends a private message to all logged in VIP users";
char lp_he073[101] = "sends a private message to all logged in KVIP users";
char lp_he074[101] = "sends a private message to all logged in OP users";
char lp_he075[101] = "sends a private message to all logged in CHEEF users";
char lp_he076[101] = "sends a private message to all logged in ADMIN users";
char lp_he077[101] = "sends a private message to all logged in users";
char lp_he078[101] = "changes hub topic";
char lp_he079[101] = "unsets hub topic";
char lp_he080[101] = "hides your share";
char lp_he081[101] = "unhides your share";
char lp_he082[101] = "hides your presence";
char lp_he083[101] = "unhides your presence";
char lp_he084[101] = "displays the config file";
char lp_he085[101] = "sets a value in the config file";
char lp_he086[101] = "displays the language file";
char lp_he087[101] = "sets language variable to new value";
char lp_he088[101] = "displays the reglist";
char lp_he089[101] = "reloads the scripts in the script directory";
char lp_he090[101] = "reloads the language file";
char lp_he091[101] = "resets the language to English";
char lp_he092[101] = "adds OP user to reglist";
char lp_he093[101] = "adds CHEEF user to reglist";
char lp_he094[101] = "adds ADMIN user to reglist";
char lp_he095[101] = "adds OWNER user to reglist";
char lp_he096[101] = "removes a user from the reglist";
char lp_he097[101] = "gives online user the temporary OP status (until he/she leaved the hub)";
char lp_he098[101] = "says something as the botnick";
char lp_he099[101] = "says some 'text' from the 'nickname'";
char lp_he100[101] = "locks main chat, priv messaging, searching or downloading";
char lp_he101[101] = "unlocks main chat, priv messaging, searching or downloading";
char lp_he102[101] = "redirects all users to 'ip or hostname'";
char lp_he103[101] = "gags all user except admins from chatting, searching and downloading";
char lp_he104[101] = "ungags all users";
char lp_he105[101] = "adds release category";
char lp_he106[101] = "displays the release categories";
char lp_he107[101] = "removes release category";
char lp_he108[101] = "removes an entry from releases list";
char lp_he109[101] = "removes an entry from req list";
char lp_he110[101] = "removes an entry from urls list";
char lp_he111[101] = "removes all warnings from specified user";
char lp_he112[101] = "adds 'welcome' to randomwelomes";
char lp_he113[101] = "displays the randomwelomes list";
char lp_he114[101] = "removes 'welcome' from randomwelomes";
char lp_he116[101] = "terminates the program";
char lp_he117[101] = "shows the users with warnings";
char lp_he118[101] = "creates new command-file";
char lp_he119[101] = "removes command-file";
char lp_he120[101] = "removes all IP bans";
char lp_he121[101] = "removes all nickname bans";
char lp_he122[101] = "bans temporary user's IP and nickname";
char lp_he123[101] = "bans temporary IP";
char lp_he124[101] = "bans temporary nickname";
char lp_he125[101] = "disconnects user from the hub";
char lp_he126[101] = "reloads file edited from shell to memory";
char lp_he127[101] = "changes the class of the registered user";
char lp_he128[101] = "changes the nickname of the registered user";
char lp_he129[101] = "resets share and users records";

